Subject: hpff-doc: Comments on C-Interoperability section

From: Mary E Zosel <[email-masked]>
Date: Mon, 30 Sep 1996 12:17:14 -0700 (PDT)

---------------------------------------------------------------------------
[email-masked] is a mailing list for HPF 2.0 language specification
authors and editors.  Instructions for adding or deleting yourself from this
list appear at the bottom of this message.
---------------------------------------------------------------------------
Henry
Here are some comments on the C interop section ...
They are based on the page numbers / line numbers I get in the
version of the hpf-local-ext that I just posted to hpff-doc.

page 12 section 2.4.1

Important:  the 3rd/4th constraints say that the bounds of the
dummy must be a constant - if I read it right --- this seems
exact opposite of the requirement that local-dummies be assumed
shape in Fortran/HPF ... why does this constraint exist?  ... does
it mean we can't call C-locals?  I'm I misunderstanding?

same section - all these constraints ... are these really constraints
in the formal sense.  If they are - we need to reference the specific
syntax rule they are constraining.  Otherwise these could be reworded
to just be a list of rules that an interface must follow.

line 23 next paragraph following contraints - last sentence - ... shouldn't
it be  "as if it were specified"  instead of "was"?  (subjunctive case).

section 2.4.2

line 41 first paragraph  of section 2.4.2
TYPE no longer exists ... but if you just replace it
with MAP_TO - then it is confusing with the MAP_TO in the first 
sentence.   Maybe the three references to  XYZ specifier in this
paragraph need to be changed to the syntactic name ... so that this
TYPE becomes  {\tt map-to-type-spec}

bottom page 12 and page 13

list of constraints ... again - are these really
constraints?  if so refer to the rule - otherwise list them just
as text or a set of numbered rules or ...

line 6 fourth constraint in this list ... layout-spec shall not be 
specified for an assumed-size array ... What is this ... is this
when the actual is assumed-size that a layout spec is forbidden?
If so put the phrase "actual argument" in the sentence.

line 25 paragraph following advice to users ... last sentence 
The HPF dummy arguement types ...  should this be HPF actual argument types?
        ^^^^^                                         ^^^^^^

line 27 next paragraph - parenthesized 
                           ^
line 36 fix the quotes around "C"
ditto line 46 - quotes around INT

page 14
line 2  - again funny quotes

page 15 lines 26-27   c_sub prints funny  - the underscore needs
some attention.
---------------------------------------------------------------------------
To (un)subscribe to this list, send mail to [email-masked].
Leave the subject line blank, and in the body put the line
(un)subscribe <email-address>
---------------------------------------------------------------------------